Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/mate-media: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Tue, 5 May 2015 20:12:47 +0000

---
 testing/mate-media/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/mate-media/APKBUILD
diff --git a/testing/mate-media/APKBUILD b/testing/mate-media/APKBUILD
new file mode 100644
index 0000000..f4d7855
--- /dev/null
+++ b/testing/mate-media/APKBUILD
_at_@ -0,0 +1,50 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer: Alan Lacerda <alacerda_at_alpinelinux.org>
+pkgname=mate-media
+pkgver=1.9.90
+pkgrel=0
+pkgdesc="media tools for MATE"
+url="https://github.com/mate-desktop/mate-media"
+arch="all"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev intltool gobject-introspection-dev gtk+2.0-dev
+	libcanberra-dev libunique-dev libmatemixer-dev mate-desktop-dev
+	dconf-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --sysconfdir=/etc \
+                --prefix=/usr \
+                --enable-all-themes || return 1
+
+        make || return 1
+
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="27eb8c452ee0b200a3861618c5a07728  mate-media-1.9.90.tar.xz"
+sha256sums="cebd8ab7748a5958494c99f33d6f9b860d01cf923bac81b96d53616b18142b22  mate-media-1.9.90.tar.xz"
+sha512sums="8c12fbe48e245f85811bc8073aea01ea7ac205e4b580a123af2f59faa96fcc656ce990a9f2090b7154add0e2eb8a9b1d73a7f019f3be4aeb48a237ee279fd660  mate-media-1.9.90.tar.xz"
-- 
2.3.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue May 05 2015 - 20:12:47 GMT